[PRE-SA-2011-02] Information disclosure vulnerability in the OSF partition handling code of the Linux kernel



PRE-CERT Security Advisory
==========================

* Advisory: PRE-SA-2011-02
* Released on: 16 Mar 2011
* Last updated on: 16 Mar 2011
* Affected product: Linux Kernel 2.4 and 2.6
* Impact: disclosure of sensitive information
* Origin: storage devices
* Credit: Timo Warns (PRESENSE Technologies GmbH)
* CVE Identifier: CVE-2011-1163


Summary
-------

The Linux kernel contains a vulnerability that may lead to information
leakage due to corrupted partition tables.

The kernel automatically evaluates partition tables of storage devices.
This happens independently of whether any auto-mounting is enabled or
not. The code for evaluating OSF partition tables contains a buffer
overflow bug that allows to leak data from the kernel heap to userspace.


Workaround
----------

Compile and use a kernel that does not evaluate OSF partition tables.
The corresponding configuration key is CONFIG_OSF_PARTITION.


Solution
--------

The bug has been fixed in Linux kernel 2.6.38.


References
----------

When further information becomes available, this advisory will be
updated. The most recent version of this advisory is available at:

http://www.pre-cert.de/advisories/PRE-SA-2011-02.txt


Contact
-------

PRE-CERT can be reached under precert@xxxxxxxxxxxxxx For PGP key
information, refer to http://www.pre-cert.de/.



Relevant Pages